@base <https://purl.org/coscine/ap/qudt/quantitykind/AbsorbedDose/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/AbsorbedDose/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Absorbed Dose sind."@de,
    "Profile for all units that are a/an Absorbed Dose."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Absorbed Dose"@de,
    "Unit: Absorbed Dose"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:GRAY unit:MicroGRAY unit:MilliGRAY unit:MilliRAD_R unit:RAD_R ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:GRAY rdfs:label "Gray"@de, "Graium"@la, "Gray"@cs, "Gray"@en, "Gray"@es, "Gray"@fr, "Gray"@hu, "Gray"@it, "Gray"@ms, "Gray"@pt, "Gray"@ro, "Gray"@sl, "Gray"@tr, "Grej"@pl, "Γκρέι"@el, "Грей"@bg, "Грэй"@ru, "גריי"@he, "جراي; غراي"@ar, "گری"@fa, "ग्रेय"@hi, "グレイ"@ja, "戈瑞"@zh .
unit:MicroGRAY rdfs:label "Microgray"@en .
unit:MilliGRAY rdfs:label "Milligray"@en .
unit:MilliRAD_R rdfs:label "Millirad"@en .
unit:RAD_R rdfs:label "Rad"@en .
